import { CollaborationOptions, DocxEditorUiInitialDocument } from '../ui';

export interface Options {
    container: string | HTMLElement;
    initialDocument?: DocxEditorUiInitialDocument;
    collaboration?: CollaborationOptions;
    onReady?: (payload: any) => void;
    onChange?: (payload: {
        content: any;
        meta: any;
        raw: any;
    }) => void;
    onMetaChange?: (payload: any) => void;
    onStatusChange?: (payload: any) => void;
}
export declare class WordEditor {
    private options;
    private app;
    private editorRef;
    private state;
    constructor(options: Options);
    setInitialDocument(initialDocument?: DocxEditorUiInitialDocument): void;
    setCollaboration(collaboration?: CollaborationOptions): void;
    executeCommand(command: string, ...args: any[]): any;
    getApi(): any;
    destroy(): void;
}
